%define name 	wireless-tools
%define version	26
%define release	3mdk
%define lib_name_orig libiw
%define lib_major %{version}
%define lib_name %mklibname iw %{lib_major}
%define docs README INSTALL CHANGELOG.h DISTRIBUTIONS.txt COPYING PCMCIA.txt

Summary: Wireless ethernet configuration tools
Group: System/Kernel and hardware
License: GPL
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://pcmcia-cs.sourceforge.net/ftp/contrib/wireless_tools.%{version}.tar.bz2
Patch1: wireless_tools.26-force-wext-version-v16.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: %{lib_name}

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment.

This is specifically useful since it allows manipulation of encryption
parameters possible with the GPL WaveLAN cards.

%package -n %{lib_name}
Summary: Wireless_tools library
Group: System/Libraries
Provides: %{lib_name_orig}

%description -n %{lib_name}
This package contains libraries to configure and access wireless interface
cards.

%package -n %{lib_name}-devel
Summary: Wireless_tools development library
Group: Development/C
Provides: %{lib_name_orig}-devel
Requires: %{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains libraries and headers for use in developing
wireless tools.

%prep
%setup -q -n wireless_tools.%{version}
%patch1 -p1 -b .force-wext-version-v16
chmod a+r %{docs}

%build
%make clean
%make "CFLAGS=$RPM_OPT_FLAGS" BUILD_SHARED=1

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall \
	PREFIX=%{buildroot}/%{_prefix} \
	INSTALL_LIB=%{buildroot}/%{_libdir} \
	INSTALL_MAN=%{buildroot}/%{_mandir} \
	INSTALL_DIR=%{buildroot}/sbin

cd %{buildroot}%{_libdir}
ln -sf libiw.so.%{version} libiw.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc %{docs}
/sbin/*
%{_mandir}/man*/*

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/libiw.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%{_libdir}/libiw.a
%{_libdir}/libiw.so
%{_includedir}/iwlib.h

%changelog
* Fri Nov 21 2003 Stew Benedict <sbenedict@mandrakesoft.com> 26-3mdk
- rework patch1 (force v16)

* Thu Sep 18 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 26-2mdk
- lib64 fixes

* Thu Aug 21 2003 Laurent Culioli <laurent@pschit.net> 26-1mdk
- 26
- Update Patch1

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 25-5mdk
- rebuild

* Tue Feb 11 2003 Frederic Lepied <flepied@mandrakesoft.com> 25-4mdk
- use %%mklibname

* Mon Jan 20 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 25-3mdk
- Force to be compiled by v15.

* Mon Dec 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 25-2mdk
- move iwlib.h and iwlib.a to -devel, create libiw.so, quiet setup
- work by Ben Reser <ben@reser.org>:
- Fix permissions on %%doc dir files
- Fix missing %%posts for lib package
- Fix Summary caps to shut up rpmlint.
- Fix missing %%defattr on lib package.
- Switched to using %%makeinstall rather than installing by "hand."
- Added missing files libiw.so, libiw.so.25, iwlib.h, and iwevent
- Adding missing documentation (man pages and %%doc dir things)
- Split library.
- Dynamically link the tools to the library rather than static.

* Mon Nov  4 2002 Frederic Lepied <flepied@mandrakesoft.com> 25-1mdk
- 25

* Fri Jun 14 2002 Frederic Lepied <flepied@mandrakesoft.com> 24-1mdk
- 24
- added missing binaries (Ben Reser)

* Tue Apr  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 23-1mdk
- 23

* Fri Nov 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 22-1mdk
- 22

* Sat Sep 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 21-2mdk
- correct doc file permissions

* Fri Jun  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 21-1mdk
- 21

* Mon Mar 12 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20-4mdk
- Fix build with glibc 2.2.2's more strict headers (add patch 0)

* Sun Feb 11 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20-3mdk
- Use RPM_OPT_FLAGS

* Fri Jan 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 20-2mdk
- moved from contrib

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 20-1mdk
- new in contribs
- used srpm from Kyle VanderBeek <kylev@yaga.com> 20-1mdk
	- First spec file for Mandrake distribution.
